<?php
include ("system/common.php");
include ("system/functions.php");
include ("system/user.php");

$title = 'Восстановление пароля';
include ("system/h.php");
switch($_GET[mod]){
default:

if (isset($_COOKIE['login'])){
echo'Ошибка!';
echo'<meta http-equiv="refresh" content="0; url=/">';
include ("system/f.php");
exit;
}
echo '<form action="/newpass.php/repass/" method="post">';
echo"<center>Ник в игре: <input class='input' type=\"text\" size=\"15\" name=\"login\"/>";
echo"<br/>Cекретный код: <input class='input' type=\"text\" size=\"15\" maxlength=\"20\" name=\"kode\"/></center><br>";

echo '<center><input type="submit" name="submit" value="Восстановить"/></form></center>';


break;
case 'repass':
if (isset($_COOKIE['login'])){
echo'Ошибка!';
echo'<meta http-equiv="refresh" content="0; url=/">';
include ("system/f.php");
exit;
}
$name=mysql_real_escape_string (stripslashes($_POST['login']));
$kode=mysql_real_escape_string (stripslashes($_POST['kode']));

$ku = mysql_query("SELECT * FROM `users` WHERE `kode` = '$kode' and `login`='$name' limit 1");
$ku=mysql_num_rows($ku);
if($ku==1){
$newpassword =uniqid("F"); 
$newpas=substr($newpassword,4);
$new=$newpas;

mail($subject,$mail,$adds);

echo "Вы успешно восстановили пароль! Объязательно запишите и поменяйте его на свой!<br> Ник в игре: <font color=\"red\"><b>$name</b></font><br>Новый пароль: <font color=\"red\"><b>$newpas</b></font><br>Вы можете успешно заходить в игру!<br><br>";
echo " <a href=\"/\">Вернуться на главную</a><br>";
    
    mysql_query("UPDATE `users` SET `password`='$new' WHERE `login` = '$name' LIMIT 1");


}else{
echo'<font color=\'red\'> Вы указали неверные данные!</font><br><br>';
echo "<a href=\"newpass.php?\">Назад</a><br>";
}

}

include ("system/f.php");
?>